Package org.mariadb.jdbc.client.util

# Interface Parameters

public interface Parameters
Parameters list

## Method Summary

Modifier and Type
Method
Description
`Parameters`
`clone()`
Clone parameter list
`boolean`
`containsKey(int index)`
is there a parameter at requested index
`Parameter`
`get(int index)`
get parameter at index
`void`
`set(int index, Parameter element)`
Set parameter at index
`int`
`size()`
list size

## Method Details

### get

Parameter get(int index)
get parameter at index

Parameters:
  `index` - index
Returns:
  parameter

### containsKey

boolean containsKey(int index)
is there a parameter at requested index

Parameters:
  `index` - index
Returns:
  indicate if there is a parameter at index

### set

void set(int index, Parameter element)
Set parameter at index

Parameters:
  `index` - index
  `element` - parameter

### size

int size()
list size

Returns:
  list size

### clone

Parameters clone()
Clone parameter list

Returns:
  parameter list